<?php
/*
 *********************************************************************************************************
 * daloRADIUS - RADIUS Web Platform
 * Copyright (C) 2007 - Liran Tal <liran@enginx.com> All Rights Reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *********************************************************************************************************
 *
 * Description:    verifies a user session, valid or invalid based on
 *                 the random session_id generated on dologin.php
 *
 * Authors:        Liran Tal <liran@enginx.com>
 *                 Filippo Lauria <filippo.lauria@iit.cnr.it>
 *
 *********************************************************************************************************
 */

// prevent this file to be directly accessed
if (strpos($_SERVER['PHP_SELF'], '/library/checklogin.php') !== false) {
    header("Location: ../radius/index.php");
    exit;
}

include('sessions.php');
dalo_session_start();


if (!array_key_exists('daloradius_logged_in', $_SESSION) || $_SESSION['daloradius_logged_in'] !== true) {
    $_SESSION['daloradius_logged_in'] = false;

    // implement a sort of "dynamic redirect finder" based on the number of "/" in the PHP_SELF value
    $count = substr_count($_SERVER['PHP_SELF'], "/", 1);
    $location = str_repeat("../", $count) . "/radius/login.php";

    header("Location: " . $location);
    exit;
}

?>
