<?php
/*
 *********************************************************************************************************
 * daloRADIUS - RADIUS Web Platform
 * Copyright (C) 2007 - Liran Tal <liran@enginx.com> All Rights Reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *********************************************************************************************************
 *
 * Description:    reads configuration file from daloradius.conf.php and
 *                 loads its contents to the $configValues associated array
 *
 * Authors:        Liran Tal <liran@enginx.com>
 *                 Filippo Lauria <filippo.lauria@iit.cnr.it>
 *
 *********************************************************************************************************
 */

// prevent this file to be directly accessed
if (strpos($_SERVER['PHP_SELF'], '/library/config_read.php') !== false) {
    header("Location: ../index.php");
    exit;
}

$_configFile = dirname(__FILE__) . '/daloradius.conf.php';
clearstatcache(true, $_configFile);
unset($configValues);
include($_configFile);

// strip slashes (if any)
foreach ($configValues as $_configOption => $_configElem) {
    if (!is_array($_configElem)) {
        $configValues[$_configOption] = stripslashes($_configElem);
    }
}

?>
